For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTSearch Videos
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceVideo Search

Search Videos

POST
https://vision-agent.api.reka.ai/v1/videos/search
POST
/v1/videos/search
$curl -X POST https://vision-agent.api.reka.ai/v1/videos/search \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "query": "string"
>}'
200Successful
1{
2 "results": [
3 {
4 "video_chunk_id": "550e8400-e29b-41d4-a716-446655440000",
5 "video_id": "550e8400-e29b-41d4-a716-446655440111",
6 "user_id": "user-123",
7 "score": 0.95,
8 "start_timestamp": 120.5,
9 "end_timestamp": 125.3,
10 "plain_text_caption": "Person speaking at conference table",
11 "plain_text_transcript": "The quarterly results show a 15% increase in revenue",
12 "s3_presigned_url": "https://{bucket}.s3.amazonaws.com/{video_id}/video.mp4?presigned=...",
13 "video_title": "CEO warns AI could cause 'serious employment crisis'",
14 "video_thumbnails": "https://url-to-thumbnails",
15 "explanation": "string"
16 }
17 ],
18 "report": "string"
19}

Embedding-based search with temporal extraction support.

Was this page helpful?
Previous

Chat with Video QA

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects an object.
querystringRequired
thresholddouble or nullOptional
max_resultsintegerOptional<=200Defaults to 10
video_idslist of strings or nullOptional
group_idslist of strings or nullOptional
search_demobooleanOptionalDefaults to false
use_llm_rerankbooleanOptionalDefaults to false
use_embeds_rerankbooleanOptionalDefaults to true
add_ocr_to_captionbooleanOptionalDefaults to false
datetime_fromstring or nullOptional

Filter from datetime (ISO 8601 format, e.g., 2024-01-15T10:00:00Z)

datetime_tostring or nullOptional

Filter to datetime (ISO 8601 format, e.g., 2024-01-15T18:00:00Z)

timestamp_fromdouble or nullOptional

Filter from video timestamp in seconds (relative to video start)

timestamp_todouble or nullOptional

Filter to video timestamp in seconds (relative to video start)

generate_reportbooleanOptionalDefaults to false
Whether to generate a report and explanations for the search results

Response

Successful Response
resultslist of objects
List of search results
reportstring or null
Report summarizing the search results